//Code is from:
//http://www.libpng.org/pub/png/spec/PNG-CRCAppendix.html
//No idea on whether it is publically available code...
 
#ifndef __ED_C_CRC32_ISO3309_H
#define __ED_C_CRC32_ISO3309_H

#include "pasis_types.h"
#include "pasis_debug.h"


class ED_C_CRC32
{
 public:
    static const unsigned int DIGEST_SIZE = 4;
    static const unsigned int BLOCK_SIZE = 4;
    static const p_uint32 DIGEST_INIT = 0xFFFFFFFFL;

    ED_C_CRC32() {}

    static void digest( const p_byte *buffer,
                        unsigned int length, 
                        p_byte *digest );

 private:
    static const p_uint32 CRC_TABLE[ 256 ];
};

#endif




/*
 * Local variables:
 * c-basic-offset: 4
 * indent-tabs-mode: nil
 * End:
 */
